Package org.apache.commons.math3.optimization.linear

# Enum Relationship

java.lang.Object
java.lang.Enum<Relationship>
org.apache.commons.math3.optimization.linear.Relationship

All Implemented Interfaces:
  `Serializable`, `Comparable<Relationship>`, `java.lang.constant.Constable`

@Deprecated public enum Relationship extends Enum<Relationship>
Deprecated.
As of 3.1 (to be removed in 4.0).
Types of relationships between two cells in a Solver `LinearConstraint`.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EQ`
Deprecated.
Equality relationship.
`GEQ`
Deprecated.
Greater than or equal relationship.
`LEQ`
Deprecated.
Lesser than or equal relationship.

## Method Summary

Modifier and Type
Method
Description
`Relationship`
`oppositeRelationship()`
Deprecated.
Get the relationship obtained when multiplying all coefficients by -1.
`String`
`toString()`
Deprecated.
`static Relationship`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static Relationship[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EQ

public static final Relationship EQ
Deprecated.
Equality relationship.

### LEQ

public static final Relationship LEQ
Deprecated.
Lesser than or equal relationship.

### GEQ

public static final Relationship GEQ
Deprecated.
Greater than or equal relationship.

## Method Details

### values

public static Relationship[] values()
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Relationship valueOf(String name)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Enum<Relationship>`

### oppositeRelationship

public Relationship oppositeRelationship()
Deprecated.
Get the relationship obtained when multiplying all coefficients by -1.

Returns:
  relationship obtained when multiplying all coefficients by -1